Summary:	app_event module for the Asterisk PBX
Name:		asterisk-app_event
Version:	0.1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.pbxfreeware.org/
Source0:	http://www.pbxfreeware.org/app_event.c.bz2
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Sends an Event from the dialplan or AGI.

This app lets you fire a manager event from the dialplan.

%prep

%setup -q -T -c %{name}-%{version}
bzcat %{SOURCE0} > app_event.c

cat > Makefile << EOF

CFLAGS+=-Wall -D_REENTRANT -D_GNU_SOURCE -fPIC
CC=gcc

all: app_event.so

clean:
	rm -f *.so *.o

%.so : %.o
	\$(CC) \$(CFLAGS) -shared -Xlinker -x -o \$@ \$<

app_event.so: app_event.o
	\$(CC) \$(CFLAGS) -shared -Xlinker -x -o \$@ app_event.o -lc
EOF

%build

%make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 app_event.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/app_event.so

%changelog
* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package
